#include<bits/stdc++.h>
#include"partition.h"
using namespace std;
vector<int> solve(vector<int> A){
    int N=A.size();
    vector<int> ans;
    for(int i=0;i<N;i++) ans.push_back(i);
    swap(ans[N-1],ans[N/2-1]);
    return ans;
}